Table of Contents

Class: IConsumer | Twisted-0.19.0/twisted/internet/interfaces.py
--- | ---
A consumer consumes data from a producer.
Base Classes |
--- | ---
Interface
Methods |
--- | ---
registerProducer unregisterProducer write
| registerProducer
    registerProducer (
            self,
            producer,
            streaming,
            )
### Register to receive data from a producer. This sets self to be a consumer for a producer. When this object runs out of data on a write() call, it will ask the producer to resumeProducing(). A producer should implement the IProducer interface.
| unregisterProducer
    unregisterProducer ( self )
Stop consuming data from a producer, without disconnecting.
| write
    write ( self,  data )
The producer will write data by calling this method.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0